## zlib 1.2.3.4.dfsg

=== debian/changelog ===
zlib (1:1.2.3.4.dfsg-3ubuntu4) precise; urgency=low

  * Mark zlib1g-dev Multi-Arch: same as well, having confirmed that the
    contents are compatible.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Nov 2011 09:07:10 -0800

zlib (1:1.2.3.4.dfsg-3ubuntu3) natty; urgency=low

  * No-change rebuild against fixed pkgbinarymangler, to get correct
    multiarch-safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 01:20:48 -0700

zlib (1:1.2.3.4.dfsg-3ubuntu2) natty; urgency=low

  * Build for multiarch and pre-depend on multiarch-support.
  * Install udeb contents to lib, not to the multiarch path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Mar 2011 15:32:41 -0700

zlib (1:1.2.3.4.dfsg-3ubuntu1) maverick; urgency=low

  * Merge from debian testing.  Remaining changes:
    - zlib.h: add z_off64_t and ensure that its mapped to the correct
      off_t or off64_t (fixes FTBFS in vips, gtk)
    - drop Conflicts on libc6-i386 (<= 2.9-18) because we do not have
      to do a /emul/ia32-linux -> /usr/lib32 transition

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 17 May 2010 18:06:51 +0200

zlib (1:1.2.3.4.dfsg-3) unstable; urgency=low

  * Only check for EOF on transparent streams if we have done a zero
    byte read to avoid reporting EOF early to applications.  This was
    breaking R.

 -- Mark Brown <broonie@debian.org>  Mon, 28 Dec 2009 19:00:35 +0000

zlib (1:1.2.3.4.dfsg-2) unstable; urgency=low

  * Revert explict EOF indication to avoid triggering an infinite loop
    in man-db while rebuilding the caches (closes: #562518).

 -- Mark Brown <broonie@debian.org>  Fri, 25 Dec 2009 15:02:23 +0000

zlib (1:1.2.3.4.dfsg-1) unstable; urgency=low

  * New upstream release.
  * This release contains refactored handling of 64 bit types which should
    stop warnings being generated in some configurations (closes: #439980).
  * This release also fixes handling of EOF in gzio (closes: #301283).
  * Fix symbol version for inflateUndermine.
  * Move -dbg to debug section.
  * Add upstream home page. 
  * Policy 3.8.3.

 -- Mark Brown <broonie@debian.org>  Thu, 24 Dec 2009 17:35:16 +0000

zlib (1:1.2.3.3.dfsg-16) unstable; urgency=low

  * Concert to 3.0 (quilt) format.

 -- Mark Brown <broonie@debian.org>  Tue, 08 Dec 2009 20:43:49 +0000

zlib (1:1.2.3.3.dfsg-15ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    - zlib.h: add z_off64_t and ensure that its mapped to the correct
      off_t or off64_t (fixes FTBFS in vips, gtk)
    - Move zlib.so.* to /lib.
    - drop Conflicts on libc6-i386 (<= 2.9-18) because we do not have
      to do a /emul/ia32-linux -> /usr/lib32 transition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Nov 2009 13:22:10 +0100

zlib (1:1.2.3.3.dfsg-15) unstable; urgency=low

  * Using Conflicts instead of Replaces for the amd64 lib32 transition
    since that's the latest idea for making it work (closes: #539278).

 -- Mark Brown <broonie@debian.org>  Tue, 04 Aug 2009 19:34:11 +0100

zlib (1:1.2.3.3.dfsg-14) unstable; urgency=low

  * amd64 has finally abandoned /emul/ia32-linux so install the 32 bit
    binaries in lib32 as for other architectures (closes: #533015).

 -- Mark Brown <broonie@debian.org>  Thu, 25 Jun 2009 12:49:05 +0100

zlib (1:1.2.3.3.dfsg-13ubuntu3) karmic; urgency=low

  * zlib.h:
    - add z_off64_t and ensure that its mapped to the correct
      off_t or off64_t (fixes FTBFS in vips, gtk)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Sep 2009 10:39:15 +0200

zlib (1:1.2.3.3.dfsg-13ubuntu2) karmic; urgency=low

  * zlib.h:
    - add prototypes for the 64 bit functions if  
      _FILE_OFFSET_BITS=64 is defined (LP: #402178)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Aug 2009 08:34:59 +0200

zlib (1:1.2.3.3.dfsg-13ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Do not move from /usr/lib32 to /emul/ia32-linux/ in lib32z1.
    - Move zlib.so.* to /lib.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 15:05:27 +0100

zlib (1:1.2.3.3.dfsg-13) unstable; urgency=low

  * Add LPIA to the list of unaligned architectures to reduce the Ubuntu
    diff a little (closes: #517403).

 -- Mark Brown <broonie@debian.org>  Sun, 01 Mar 2009 20:43:18 +0000

zlib (1:1.2.3.3.dfsg-12ubuntu2) jaunty; urgency=low

  * Move zlib.so.* to /lib (LP: #44194).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Mar 2009 16:28:00 +0000

zlib (1:1.2.3.3.dfsg-12ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add lpia to the list of UNALIGNED_OK architectures.
    - Do not move from /usr/lib32 to /emul/ia32-linux/ in lib32z1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 May 2008 12:02:39 +0200

zlib (1:1.2.3.3.dfsg-12) unstable; urgency=low

  * Apply patch from Arthur Loiret <arthur.loiret@u-psud.fr> implementing
    triarch support for MIPS (closes: #474097).

 -- Mark Brown <broonie@debian.org>  Sun, 06 Apr 2008 19:09:18 +0100

zlib (1:1.2.3.3.dfsg-11) unstable; urgency=low

  * Correct library names for cross libraries.
  * Turns out all our 64 bit architectures do off64_t.

 -- Mark Brown <broonie@debian.org>  Sat, 19 Jan 2008 22:33:06 +0000

zlib (1:1.2.3.3.dfsg-10) unstable; urgency=low

  * dpkg-shlibdeps doesn't deal well with unbuilt packages (closes: 461474).
  * Support packages using 64 bit cross symbols even when off_t is 64
    bits.

 -- Mark Brown <broonie@debian.org>  Fri, 18 Jan 2008 22:56:48 +0000

zlib (1:1.2.3.3.dfsg-9) unstable; urgency=low

  * Remove Debian revisions from symbol files.

 -- Mark Brown <broonie@debian.org>  Wed, 16 Jan 2008 10:53:27 +0000

zlib (1:1.2.3.3.dfsg-8) unstable; urgency=low

  * Add symbols files.  Version information is provided by the upstream
    map file.  Architecture lists may need some adjustment.
  * Fix udeb contents.
  * Policy 3.7.3 (no changes).

 -- Mark Brown <broonie@debian.org>  Sun, 16 Dec 2007 14:38:47 +0000


