## zlib 1.2.5.dfsg

=== debian/changelog ===
zlib (1:1.2.5.dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 13 May 2010 11:21:01 +0100

zlib (1:1.2.3.5.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Remove most of the contrib directory so we don't have to waste time
    writing a copyright file for code we don't build (closes: #561432).

 -- Mark Brown <broonie@debian.org>  Sun, 10 Jan 2010 22:27:09 +0000
