=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
 Standards-Version: 3.8.3
 Homepage: http://zlib.net/
-XS-VCS-Bzr: http://bzr.debian.org/bzr/pkg-zlib/zlib/debian
-Build-Depends: debhelper (>= 6.0.7~), binutils (>= 2.18.1~cvs20080103-2) [mips mipsel], gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc], dpkg-dev (>= 1.16.0~ubuntu4)
+Build-Depends: debhelper (>= 8.1.3~), binutils (>= 2.18.1~cvs20080103-2) [mips mipsel], gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x], dpkg-dev (>= 1.16.0)
 
 Package: zlib1g
 Architecture: any
-Depends: ${shlibs:Depends}
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Priority: required
-Multi-Arch: same
-Pre-Depends: multiarch-support
 Conflicts: zlib1 (<= 1:1.0.4-7)
+Breaks: libxml2 (<< 2.7.6.dfsg-2), texlive-binaries (<< 2009-12)
 Provides: libz1
 Description: compression library - runtime
  zlib is a library implementing the deflate compression method found
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: zlib1g (= ${binary:Version}), libc6-dev | libc-dev
+Depends: zlib1g (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Conflicts: zlib1-dev
 Provides: libz-dev
 Description: compression library - development
@@ -46,7 +46,7 @@
 Package: zlib-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: compression library - sample programs
  Some generally useful sample programs from the contrib directory.
  Includes a "mini" implementation of `zip' and `unzip' called
@@ -64,7 +64,7 @@
 
 Package: lib64z1
 Architecture: sparc s390 i386 powerpc mips mipsel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: amd64-libs (<< 1.4)
 Description: compression library - 64 bit runtime
  zlib is a library implementing the deflate compression method found
@@ -74,7 +74,7 @@
 Package: lib64z1-dev
 Section: libdevel
 Architecture: sparc s390 i386 powerpc mips mipsel
-Depends: lib64z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib64c-dev
+Depends: lib64z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib64c-dev, ${misc:Depends}
 Replaces: amd64-libs-dev (<< 1.4)
 Provides: lib64z-dev
 Description: compression library - 64 bit development
@@ -83,8 +83,9 @@
  files for building 64 bit applications.
 
 Package: lib32z1
-Architecture: amd64 ppc64 kfreebsd-amd64
-Depends: ${shlibs:Depends}
+Architecture: amd64 ppc64 kfreebsd-amd64 s390x
+Conflicts: libc6-i386 (<= 2.9-18)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: ia32-libs (<< 1.5)
 Description: compression library - 32 bit runtime
  zlib is a library implementing the deflate compression method found
@@ -93,8 +94,9 @@
 
 Package: lib32z1-dev
 Section: libdevel
-Architecture: amd64 ppc64 kfreebsd-amd64
-Depends: lib32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib32c-dev
+Architecture: amd64 ppc64 kfreebsd-amd64 s390x
+Conflicts: libc6-i386 (<= 2.9-18)
+Depends: lib32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
 Provides: lib32z-dev
 Replaces: ia32-libs-dev (<< 1.5)
 Description: compression library - 32 bit development
@@ -104,7 +106,7 @@
 
 Package: libn32z1
 Architecture: mips mipsel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: compression library - n32 runtime
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes a n32 version of the shared
@@ -113,9 +115,27 @@
 Package: libn32z1-dev
 Section: libdevel
 Architecture: mips mipsel
-Depends: libn32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libn32c-dev
+Depends: libn32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libn32c-dev, ${misc:Depends}
 Provides: libn32z-dev
 Description: compression library - n32 development
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the development support
  files for building n32 applications.
+
+Package: libx32z1
+Architecture: amd64 i386
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: compression library - x32 runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a n32 version of the shared
+ library.
+
+Package: libx32z1-dev
+Section: libdevel
+Architecture: amd64 i386
+Depends: libx32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libc6-dev-x32, ${misc:Depends}
+Provides: libx32z-dev
+Description: compression library - x32 development
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the development support
+ files for building n32 applications.
