=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_OS)
-
-CFLAGS = -Wall -g -D_REENTRANT
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CFLAGS = `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS` -Wall -D_REENTRANT
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 
 # binutils doesn't supply the prefixed version normally like GCC does so
 # we can't just unconditionally use DEB_HOST_GNU_TYPE-ar
@@ -32,7 +34,22 @@
 	CFLAGS += -O3
 endif
 
+32-ARCHS=amd64 ppc64 kfreebsd-amd64 s390x
 64-ARCHS=s390 sparc i386 powerpc mips mipsel
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
+EXTRA_INSTALL=install32
+EXTRA_BUILD=build32-stamp
+# s390x fails at compatibility.
+ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
+m32=-m31
+else
+m32=-m32
+endif
+endif
+
+ifneq (,$(findstring s390x, $(DEB_HOST_ARCH)))
+else
 ifneq (,$(findstring $(DEB_HOST_ARCH), $(64-ARCHS)))
 EXTRA_INSTALL=install64
 EXTRA_BUILD=build64-stamp
@@ -43,12 +60,6 @@
 m64=-m64
 endif
 endif
-
-32-ARCHS=amd64 ppc64 kfreebsd-amd64
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
-EXTRA_INSTALL=install32
-EXTRA_BUILD=build32-stamp
-m32=-m32
 endif
 
 N32-ARCHS=mips mipsel
@@ -58,19 +69,26 @@
 mn32=-mabi=n32
 endif
 
+X32-ARCHS=amd64 i386
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(X32-ARCHS)))
+EXTRA_INSTALL+=installx32
+EXTRA_BUILD+=buildx32-stamp
+mx32=-mx32
+endif
+
 UNALIGNED_ARCHS=i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 lpia
 ifneq (,$(findstring $(DEB_HOST_ARCH), $(UNALIGNED_ARCHS)))
 CFLAGS+=-DUNALIGNED_OK
 endif
 
-COPYLIST=*.h *.c *.in zlib.map configure zlib.3
+COPYLIST=*.h *.c *.in zlib.map configure zlib.3 test
 
 configure-stamp: configure
 	dh_testdir
 
 	if [ ! -f Makefile.stash ]; then cp Makefile Makefile.stash ; fi
 
-	AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)" uname=GNU ./configure --shared --prefix=/usr
+	AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 	touch $@
 
@@ -78,30 +96,40 @@
 	dh_testdir
 
 	mkdir -p debian/64
-	cp $(COPYLIST) debian/64
+	cp -r $(COPYLIST) debian/64
 	cd debian/64 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(m64)" \
-	    CFLAGS="$(CFLAGS)" \
-	    uname=GNU ./configure --prefix=/usr  --libdir=\$${prefix}/usr/lib64
+	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	    uname=GNU ./configure --shared --prefix=/usr  --libdir=\$${prefix}/usr/lib64
 	touch $@
 
 configure32-stamp: configure
 	dh_testdir
 
 	mkdir -p debian/32
-	cp $(COPYLIST) debian/32
+	cp -r $(COPYLIST) debian/32
 	cd debian/32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(m32)" \
-	    CFLAGS="$(CFLAGS)" \
-	    uname=GNU ./configure --prefix=/usr --libdir=\$${prefix}/usr/lib32
+	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	    uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/usr/lib32
 	touch $@
 
 configuren32-stamp: configure
 	dh_testdir
 
 	mkdir -p debian/n32
-	cp $(COPYLIST) debian/n32
+	cp -r $(COPYLIST) debian/n32
 	cd debian/n32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(mn32)" \
-	    CFLAGS="$(CFLAGS)" \
-	    uname=GNU ./configure --prefix=/usr --libdir=\$${prefix}/usr/lib32
+	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	    uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/usr/lib32
+	touch $@
+
+configurex32-stamp: configure
+	dh_testdir
+
+	mkdir -p debian/x32
+	cp -r $(COPYLIST) debian/x32
+	cd debian/x32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(mx32)" \
+	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	    uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/usr/libx32
 	touch $@
 
 build: build-stamp $(EXTRA_BUILD)
@@ -109,7 +137,7 @@
 	dh_testdir
 
 	$(MAKE)
-	$(MAKE) CC=$(DEB_HOST_GNU_TYPE)-gcc OPT="$(CFLAGS)" -C contrib/minizip
+	$(MAKE) CC=$(DEB_HOST_GNU_TYPE)-gcc CFLAGS="-I../.. $(CFLAGS)" LDFLAGS="$(LDFLAGS)" -C contrib/minizip
 	-$(MAKE) test
 
 	touch $@
@@ -127,6 +155,11 @@
 buildn32-stamp: configuren32-stamp
 	dh_testdir
 	make -C debian/n32
+	touch $@
+
+buildx32-stamp: configurex32-stamp
+	dh_testdir
+	make -C debian/x32
 	touch $@
 
 clean:
@@ -140,7 +173,9 @@
 	rm -rf debian/64 build64-stamp configure64-stamp
 	rm -rf debian/32 build32-stamp configure32-stamp
 	rm -rf debian/n32 buildn32-stamp configuren32-stamp
+	rm -rf debian/x32 buildx32-stamp configurex32-stamp
 	-mv Makefile.stash Makefile
+	-mv zlibdefs.h.stash zlibdefs.h
 
 	dh_clean 
 
@@ -152,6 +187,11 @@
 
 	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
 
+	install -d debian/tmp/lib/$(DEB_HOST_MULTIARCH) debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so
+	mv debian/tmp/usr/include/zconf.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
+
 install64: install build64-stamp
 	$(MAKE) -C debian/64 prefix=$(CURDIR)/debian/tmp install
 
@@ -160,6 +200,9 @@
 
 installn32: install buildn32-stamp
 	$(MAKE) -C debian/n32 prefix=$(CURDIR)/debian/tmp install
+
+installx32: install buildx32-stamp
+	$(MAKE) -C debian/x32 prefix=$(CURDIR)/debian/tmp install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -183,14 +226,19 @@
 	dh_compress -s
 	dh_fixperms -s
 	dh_makeshlibs -pzlib1g -V"zlib1g (>= 1:1.2.3.3.dfsg-1)" --add-udeb=zlib1g-udeb
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
+	dh_makeshlibs -plib32z1 -V"lib32z1 (>= 1:1.2.3.3.dfsg-1)"
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
 ifneq (,$(findstring $(DEB_HOST_ARCH), $(64-ARCHS)))
 	dh_makeshlibs -plib64z1 -V"lib64z1 (>= 1:1.2.3.3.dfsg-1)"
 endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(32-ARCHS)))
-	dh_makeshlibs -plib32z1 -V"lib32z1 (>= 1:1.2.3.3.dfsg-1)"
 endif
 ifneq (,$(findstring $(DEB_HOST_ARCH), $(N32-ARCHS)))
 	dh_makeshlibs -plibn32z1 -V"libn32z1 (>= 1:1.2.3.3.dfsg-1)"
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(X32-ARCHS)))
+	dh_makeshlibs -plibx32z1 -V"libx32z1 (>= 1:1.2.3.3.dfsg-1)"
 endif
 	dh_installdeb -s
 	dh_shlibdeps -s
